# Interface SmilesMatcherInterface

All Known Implementing Classes:
  `SmilesMatcher`

public interface SmilesMatcherInterface

## Method Summary

Modifier and Type
Method
Description
`int`
`areEqual(Object smiles1, Object smiles2)`
`String`
`cleanSmiles(String smiles)`
`Object`
`compileSearchTarget(Node[] atoms, int atomCount, BS bitSet)`
`Object`
`compileSmartsPattern(String pattern)`
`int[][]`
`find(Object pattern, Object smiles, int flags)`
`Node[]`
`getAtoms(Object target)`
`int[][]`
`getCorrelationMaps(Object pattern, Node[] atoms, int ac, BS bsSelected, int flags)`
`String`
`getLastException()`
`int[][]`
`getMapForJME(String jme, Atom[] at, BS bsAtoms)`
`void`
`getMMFF94AtomTypes(String[] smarts, Node[] atoms, int ac, BS bsSelected, Lst<BS> bitSets, Lst<BS>[] vRings)`
`String`
`getMolecularFormula(Object pattern, boolean isSearch, boolean isEmpirical)`
`String`
`getRelationship(String smiles1, String smiles2)`
`String`
`getSmiles(Node[] atoms, int ac, BS bsSelected, String bioComment, int flags)`
`String`
`getSmilesFromJME(String jmeFile)`
`BS`
`getSubstructureSet(Object pattern, Object target, int ac, BS bsSelected, int flags)`
`BS[]`
`getSubstructureSetArray(Object pattern, Node[] atoms, int ac, BS bsSelected, BS bsAromatic, int flags)`
`int[]`
`hasStructure(Object smarts, Object[] smilesSet, int flags)`
`String`
`polyhedronToSmiles(Node center, int[][] faces, int atomCount, P3[] points, int flags, String details)`
`String`
`reverseChirality(String smiles)`

## Method Details

### areEqual

int areEqual(Object smiles1, Object smiles2) throws Exception

Throws:
  `Exception`

### find

int[][] find(Object pattern, Object smiles, int flags) throws Exception

Throws:
  `Exception`

### getLastException

String getLastException()

### getMolecularFormula

String getMolecularFormula(Object pattern, boolean isSearch, boolean isEmpirical) throws Exception

Throws:
  `Exception`

### getRelationship

String getRelationship(String smiles1, String smiles2) throws Exception

Throws:
  `Exception`

### reverseChirality

String reverseChirality(String smiles) throws Exception

Throws:
  `Exception`

### polyhedronToSmiles

String polyhedronToSmiles(Node center, int[][] faces, int atomCount, P3[] points, int flags, String details) throws Exception

Throws:
  `Exception`

### getSubstructureSet

BS getSubstructureSet(Object pattern, Object target, int ac, BS bsSelected, int flags) throws Exception

Throws:
  `Exception`

### getSubstructureSetArray

BS[] getSubstructureSetArray(Object pattern, Node[] atoms, int ac, BS bsSelected, BS bsAromatic, int flags) throws Exception

Throws:
  `Exception`

### getCorrelationMaps

int[][] getCorrelationMaps(Object pattern, Node[] atoms, int ac, BS bsSelected, int flags) throws Exception

Throws:
  `Exception`

### getMMFF94AtomTypes

void getMMFF94AtomTypes(String[] smarts, Node[] atoms, int ac, BS bsSelected, Lst<BS> bitSets, Lst<BS>[] vRings) throws Exception

Throws:
  `Exception`

### getSmiles

String getSmiles(Node[] atoms, int ac, BS bsSelected, String bioComment, int flags) throws Exception

Throws:
  `Exception`

### cleanSmiles

String cleanSmiles(String smiles)

### getMapForJME

int[][] getMapForJME(String jme, Atom[] at, BS bsAtoms)

### getAtoms

Node[] getAtoms(Object target) throws Exception

Throws:
  `Exception`

### getSmilesFromJME

String getSmilesFromJME(String jmeFile)

### hasStructure

int[] hasStructure(Object smarts, Object[] smilesSet, int flags) throws Exception

Throws:
  `Exception`

### compileSmartsPattern

Object compileSmartsPattern(String pattern) throws Exception

Throws:
  `Exception`

### compileSearchTarget

Object compileSearchTarget(Node[] atoms, int atomCount, BS bitSet)